package egovframework.service;

import egovframework.util.PageCriteria;
import egovframework.vo.NoticeVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface NoticeService {

    int updateNoticeReadCount(HashMap<String, String> paramMap);

    NoticeVO getNotice(Map<String, String> paramMap);

    Map<String, Object> selectBoardList(HashMap<String, String> paramMap, PageCriteria criteria);

    NoticeVO selectBoardView(HashMap<String, String> paramMap);

    void attatchedFileDownload(HttpServletRequest request, HttpServletResponse response, Map<String, Object> paramMap);

    int insertBoard(List<MultipartFile> attachFile, String userId, Map<String, String> paramMap);

    int updateBoard(List<MultipartFile> attachFile, Map<String, String> paramMap, List<String> attachFileName);

    void deleteNotice(Map<String, Object> paramMap);

    List<NoticeVO> getNoticeListData();
}
